#
# spec file for package libretro-mame2000
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libretro-mame2000
Version:        0~git20210529
Release:        1699.1.pm.95
Summary:        MAME 2000 (0.37b5) libretro core for arcade emulation
License:        NonFree
Group:          System/Emulators/Other
URL:            http://www.retroarch.com
Source:         %{name}-%{version}.tar.xz

BuildRequires:  gcc-c++
BuildRequires:  make

%description
2000 version of MAME (0.37b5) for libretro. Compatible with
iMAME4All/MAME4Droid/MAME 0.37b5 romsets.

%prep
%setup -q

%build
make

%install
mkdir -p %{buildroot}%{_libdir}/libretro
cp mame2000_libretro.so %{buildroot}%{_libdir}/libretro

%files
%dir %{_libdir}/libretro
%{_libdir}/libretro/mame2000_libretro.so

%changelog
* Sat Jun 12 2021 i@guoyunhe.me
- Update to version 0~git20210529:
  * Changed /samples dir to be in the system directory (parity with other MAME cores)
  * Add ios-arm64/tvos-arm64
  * Update .gitlab-ci.yml
  * (MSVC) embed MSVCR runtime
  * (macOS) Add macOS ARM 64 support
  * Update .gitlab-ci.yml
  * Update .gitlab-ci.yml
  * Update Makefile
  * Update Makefile
  * Update .gitlab-ci.yml
  * Update .gitlab-ci.yml
  * Update .gitlab-ci.yml
  * Update .gitlab-ci.yml
  * Add .gitlab-ci.yml
  * fcommon required for vita / libnx now gcc-10
  * libretro: use input bitmask
* Sun Feb  9 2020 i@guoyunhe.me
- Update to version 0~git20200112:
  * Update libretro.h
  * (MSVC 2017) Buildfix
  * Update to latest cyclone
  * (VITA) Enable cyclone and drz80
  * Add support to Cyclone and DrZ80 based on a list
  * Correct way to compare string
  * libretro: allow mingw cross compile
* Mon Nov 11 2019 Yunhe Guo <i@guoyunhe.me>
- Change license to NonFree
  * See https://github.com/libretro/mame2010-libretro/issues/137#issuecomment-552253010
* Sun Sep 22 2019 Yunhe Guo <i@guoyunhe.me>
- Initial version
